Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000195Core InformAssertions and creationspublic2010-07-08 15:412010-10-28 00:30
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.4
Product Version6E59 
Target VersionFixed in Version6F95 
Summary0000195: Unnamed rooms cannot be referred to with ``here'' when they are declared with a property.
DescriptionThe attached source code causes Inform to complain:

Problem. The yourself was described as being 'here', but here doesn't seem to be any location at this point in the story, so there's nowhere you can call 'here'.

Omitting ``The player is here'' fixes the problem (so Inform does know that there is a location). Naming the room or leaving off the property ``dark'' also make the error disappear.
Minimal Source Text To Reproduce
There is a dark room.
The player is here.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0000511)
graham (administrator)
2010-09-04 12:22

This is a slightly marginal thing to write, grammatically, but it's inconsistent for it not to work. Fixed.

- Issue History
Date Modified Username Field Change
2010-07-08 15:41 EmacsUser New Issue
2010-07-08 15:59 jmcgrew Status new => confirmed
2010-09-04 12:22 graham Note Added: 0000511
2010-09-04 12:22 graham Status confirmed => resolved
2010-09-04 12:22 graham Resolution open => fixed
2010-09-04 12:22 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker